<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />

  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">

  <title>Submitting a Vignette to the DANTE Project</title>
  <style>
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>

  <style>
a.sourceLine { display: inline-block; line-height: 1.25; }
a.sourceLine { pointer-events: none; color: inherit; text-decoration: inherit; }
a.sourceLine:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode { white-space: pre; position: relative; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
code.sourceCode { white-space: pre-wrap; }
a.sourceLine { text-indent: -1em; padding-left: 1em; }
}
pre.numberSource a.sourceLine
  { position: relative; left: -4em; }
pre.numberSource a.sourceLine::before
  { content: attr(data-line-number);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; pointer-events: all; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {  }
@media screen {
a.sourceLine::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>

  <link rel="stylesheet" href="/usr/local/lib/R/site-library/danteSubmit/rmarkdown/templates/dante_vignette/resources/style.css" />

  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>

<body>

<header id="title-block-header">
<h1 class="title">Submitting a Vignette to the DANTE Project</h1>

<p class="date" id="date"><em>2019-09-10</em></p>

<div id="author-block">
<span id="author-name">Joshua Brinks</span>,&nbsp;<span id="author-affiliation"><em>ISciences, LLC</em>&nbsp;<sup><a id="author-email" href="mailto:jbrinks@isciences.com"><i class="far fa-envelope" style="font-size:15px; color: blue"></i></a></sup></br>
</div>




</header>

<h3> Contents: </h3>
<nav id="TOC" role="doc-toc">
<ul>
<li><a href="#introduction"><span class="toc-section-number">1</span> Introduction</a></li>
<li><a href="#completing-the-template"><span class="toc-section-number">2</span> Completing the Template</a><ul>
<li><a href="#accessing-the-rmarkdown-template"><span class="toc-section-number">2.1</span> Accessing the RMarkdown Template</a></li>
<li><a href="#template-fields"><span class="toc-section-number">2.2</span> Template Fields</a></li>
</ul></li>
<li><a href="#submitting-the-template"><span class="toc-section-number">3</span> Submitting the Template</a></li>
</ul>
</nav>

<div id="introduction" class="section level1">
<h1><span class="header-section-number">1</span> Introduction</h1>
<p>The DANTE Project provides an open source community platform to lower the barriers of entry to climate security research and policy making. One of the core components of the project are research vignettes and tutorials. DANTE Project submissions are free, and provide a platform for prospective research, methods papers, and scientific tutorials with minimal review from our editors in addition to feedback from our userbase. This is an excellent opportunity for advanced undergraduate work, a consolidated location for teaching materials, and lighter or otherwise less refined research papers from those either lacking publication funds or time for a formal review process. We intend to provide a platform for written works encompassing a wide range of styling and tones. These include, but are not limited to:</p>
<ul>
<li>Traditional R package vignettes.</li>
<li>Research blog posts with anecdotal introductions and a lighter tone.</li>
<li>Methods papers illustrating a new or otherwise novel data processing and visualization workflow.</li>
<li>Working papers or other reproducible scientific papers relaying models or other statistical inference.</li>
</ul>
<p>In addition to the written content and reproducible code, <code>danteSubmit</code> vignettes require several additional metadata fields to supplement the written content and provide a variety of crossreferenced complementary materials:</p>
<ul>
<li>R packages or other software utilized for the vignette.</li>
<li>Datasets used for the creation of the vignette.</li>
<li>Data types used in the submission.</li>
<li>Accompanying vignettes related to the submission.</li>
<li>Direct commentary from DANTE users.</li>
</ul>
</div>
<div id="completing-the-template" class="section level1">
<h1><span class="header-section-number">2</span> Completing the Template</h1>
<div id="accessing-the-rmarkdown-template" class="section level2">
<h2><span class="header-section-number">2.1</span> Accessing the RMarkdown Template</h2>
<p>The <code>danteSubmit</code> package can be installed vit GitLab with the <code>devtools</code> package using the following command:</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb1-1" data-line-number="1">devtools<span class="op">::</span><span class="kw">install_gitlab</span>(<span class="st">&quot;/dante-sttr/danteSubmit&quot;</span>)</a></code></pre></div>
<p>Following installation, the dataset template will be accessible in RStudio through the <code>File &gt; New File &gt; R Mardown ... &gt; From Template &gt; Dante Vignette Submission</code> menu. This will create a new directory in your home directory with the dataset <code>skeleton.Rmd</code> file. This provides the framework of the submission with several DANTE specific metadata fields.</p>
<p><img src="vignette-capture.png" /></p>
</div>
<div id="template-fields" class="section level2">
<h2><span class="header-section-number">2.2</span> Template Fields</h2>
<p>RMarkdown <code>skeleton.Rmd</code> files are typically comprised of two sections: 1) the YAML metadata, and 2) the text body. The <code>skeleton.Rmd</code> begins with the YAML header. It is demarcated by two sets of <code>---</code>. The text body uses traditional sectioning with the RMarkdown language. More information pertaining to RMarkdown formatting can be found on their <a href="https://rmarkdown.rstudio.com/lesson-1.html">official site</a>. UDANTE vignette submissions require no prior knowledge of RMarkdown syntax and users may delete any YAML fields not relevant to the dataset (additional authors, pros, cons, spatial information for non-spatial data, etc.)</p>
<div id="yaml-metadata" class="section level3">
<h3><span class="header-section-number">2.2.1</span> YAML Metadata</h3>
<ul>
<li><p><strong>title:</strong> The official title of the vignette submission. The title must be inside quotes.</p></li>
<li><p><strong>date:</strong> Leave as is. It will automatically generate the date when compiled.</p></li>
<li><p><strong>author:</strong> Name(s), email(s), and affiliation(s) (if applicable), of the individual(s) or institution(s) who authored the submission.</p></li>
<li><p><strong>vignette-highlights:</strong> Bullet points relaying key points of submission.</p></li>
<li><p><strong>abstract:</strong> An abstract should accompany the submission in the event of a methods or working paper submission. The abstract should briefly outline the conceptual approach and highlight important findings. The abstract must be enclosed in quotes.</p></li>
<li><p><strong>data-presentation-forms:</strong> Categorical identifier(s) of submitted data. May be one or more of the following: raster, spatial polygons, spatial points, time series, or dyadic.</p></li>
<li><p><strong>related-packages:</strong> R packages used or referenced in the creation of the vignette.</p></li>
<li><p><strong>related-datasets:</strong> Datasets featured in the vignette. When possible, titles should match those found in the DANTE Project Citation Repository.</p></li>
<li><p><strong>related-vignettes:</strong> Vignettes or other tutorials related to or referenced in the submission.</p></li>
<li><p><strong>keywords:</strong> Keywords for submission.</p></li>
<li><p><strong>bibliography:</strong> Bibtex file containing citations used in body of the submission. This file should be placed in the home directory along with the <code>skeleton.Rmd</code> and any imagery.</p></li>
<li><p><strong>output:</strong> This identifies the rmarkdown template to compile the submission. Should not be altered by the user.</p></li>
<li><p><strong>link-citations:</strong> Specifies the use of hyperlinked citations.</p></li>
</ul>
</div>
<div id="body" class="section level3">
<h3><span class="header-section-number">2.2.2</span> Body</h3>
<p>The DANTE Project does not mandate any given format for submissions, however, we suggest submissions loosely follow traditional formats and employ logical sectioning and organization. For more information on advanced Rmarkdown formatting reference their <a href="https://rmarkdown.rstudio.com/lesson-1.html">official site</a> or the plethora of online materials. Moreover, one may examine markdown files for other DANTE Project at our project <a href="https://gitlab.com/dante-sttr">GitLab</a> repository. Despite our general flexibility all submissions should contain and introduction and reference section.</p>
<ul>
<li><p><strong>Introduction:</strong> An informative introduction, with references when possible, illustrating the purpose of the submission.</p></li>
<li><p><strong>Reference:</strong> This should not be altered by the user. It will generate the reference list for the for the submission.</p></li>
</ul>
</div>
</div>
</div>
<div id="submitting-the-template" class="section level1">
<h1><span class="header-section-number">3</span> Submitting the Template</h1>
<p>After all relevant fields are complete, the user must compile the HTML submission by knitting the document inside of RStudio. At this point, the submission is ready and the <code>vignette-name.html</code> output can be uploaded to the <a href="www.dante-project.com">DANTE website</a>.</p>
</div>

<footer>

<h1> Additional Meta-Data </h1>

<div id="related-packages-block">
<h3> Related Packages: </h3>
<ul>
<li>danteSubmit</li>
</ul>
</div>



<div id="related-vignettes-block">
<h3> Related Vignettes: </h3>
<ul>
<li>Submitting a dataset to the DANTE Project</li>
<li>Submitting a function to the DANTE Project</li>
</ul>
</div>

</footer>

</body>

</html>
